# Glosses
Glosses are either shorthand translations in the metalanguage or [glossing abbreviations](https://en.wikipedia.org/wiki/List_of_glossing_abbreviations).
In the context of language description, it is important to keep them distinct from the meanings, [inflectional values](../inflectionalvalues)   , or [derivational processes](../derivationalprocesses) they express.

## GlossTable: `glosses.csv`

Name/Property | Datatype | Cardinality | Description
 --- | --- | --- | --- 
[ID](http://cldf.clld.org/v1.0/terms.rdf#id) | `string` | singlevalued | <div> <p>A unique identifier for a row in a table.</p> <p> To allow usage of identifiers as path components of URLs IDs must only contain alphanumeric characters, underscore and hyphen. </p> </div> 
[Name](http://cldf.clld.org/v1.0/terms.rdf#name) | `string` | singlevalued | <div> <p>A title, name or label for an entity.</p> </div> 
[Comment](http://cldf.clld.org/v1.0/terms.rdf#comment) | `string` | singlevalued | <div> <p> A human-readable comment on a resource, providing additional context. </p> </div> 